<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
	<NuxtLayout name="default">
		<div>

			<!-- sidebar navigation teleported to template -->
			<SidebarNav :nav="navItems" :title="'Domains'" />

			<TopbarTopBar />
			<div class="detail-header">
				<div class="row">
					<div class="col-xl-4">
						<div class="title">
							<h2>Health Sciences</h2>
						</div>
					</div>
					<div class="col-xl-8">
						<div class="quick-actions">
							<div class="quick-actions-wrapper">
								<a href="#" class="button button-default button-black rounded"><i class="icon-favourite"></i>Highlight</a>
                                <div style="width: 400px;">
                                    <a href="#" class="button button-default button-black-transparent rounded button-inline">Edit</a>
                                    <a href="#" class="button button-default button-black-transparent rounded button-inline">Export</a>
                                    <a href="#" class="button button-default button-black-transparent rounded button-inline">Delete</a>
                                </div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="detail-body">
				<div class="row">
					<div class="col-xl-4">
						<div class="about">
                            <div class="info">
                                <h3>Creation Date</h3>
                                <p>24 Jan 2024</p>
                            </div>
                            <div class="info">
                                <h3>Last Edit</h3>
                                <p>25 Jan 2024</p>
                            </div>
						</div>
						<div class="info user">
							<h3>Owner</h3>
							<UserProfile />
						</div>
						<div class="info user">
							<h3>Shared with</h3>
							<UsersSelectionList />
						</div>
					</div>
					<div class="col-xl-6">
						<EditableTextBox />
					</div>
				</div>
			</div>
		</div>
	</NuxtLayout>
</template>
<script setup lang="ts">
import type NavItemI from '~/interfaces/navItem';

const viewDefault = () => {
    console.log('show default home page');
}

const dummyClick = () => {
    console.log('dummyClick');
}

const navItems = ref<NavItemI[]>([
    {
        label: 'All',
        icon: 'list',
        action: viewDefault
    },
    {
        label: 'Combine Datasets',
        icon: 'chrome',
        action: dummyClick
    },
    {
        label: 'Recently Viewed',
        icon: 'clock',
        action: dummyClick
    },
    {
        label: 'Highlighted',
        icon: 'favourite',
        action: dummyClick
    },
    {
        label: 'Your Catalog',
        icon: 'loading',
        action: dummyClick
    }
]);
</script>